OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Upgrade to 2.4.4.1 failure

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Upgrade to 2.4.4.1 failure

Postby tningal » Mon Jul 14, 2014 4:24 am

Hi All,

I have followed the forum here on the upgrading failures but didn't find the answer I was looking for so am posting a new thread on the topic.

I have downloaded OJS 2.4.4.1, uncompressed and copied them over to the OJS installation on the server and ran the upgrade. That was after modifying the line in the config.inc.php (see below):

;;;;;;;;;;;;;;;;;;;;
; General Settings ;
;;;;;;;;;;;;;;;;;;;;

[general]

; Set this to On once the system has been installed
; (This is generally done automatically by the installer)
installed = On


I chose the UPGRADE option and it was upgrading in the background for a while and reported that the upgrading was successful. I then changed the INSTALLED =ON in the config.in.php, saved the file and open the page of the journal but no upgrade was applied. I repeated that process a couple more times but no change took effect.

I see that if I scrolled down on the upgrade page, there is an option at the bottom to INSTALL OJS. But the question is, if I apply the install option, I am wondering if the database and its link to the articles would be affected.

Can I simply upgrade from OJS 2.4.3.0 to 2.4.4.1 using the patch instead of a whole new installation?

Any tips, ideas and suggestions would be greatly appreciated.


Many thanks :)


Tine
Dublin, Ireland
tningal
 
Posts: 12
Joined: Tue Apr 15, 2014 11:10 am

Re: Upgrade to 2.4.4.1 failure

Postby tningal » Mon Jul 14, 2014 6:00 am

Its me again, I have succeeded in upgrading but got report saying as below:

Error occurred during installation
- A databse error has occurred: Access denied for user 'ojs'@'localhost' (Using password:YES)


Any help to solve this problem would be very much appreciated.


Tine
Attachments
OJS_Upgrade_Problem.PNG
OJS_Upgrade_Problem.PNG (188.75 KiB) Viewed 280 times
tningal
 
Posts: 12
Joined: Tue Apr 15, 2014 11:10 am

Re: Upgrade to 2.4.4.1 failure

Postby asmecher » Mon Jul 14, 2014 8:35 am

Hi Tine,

Did you move your configuration details, e.g. your database configuration, across to the new copy of the code? See the steps under "Full Package" in docs/UPGRADE.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9050
Joined: Wed Aug 10, 2005 12:56 pm

Re: Upgrade to 2.4.4.1 failure

Postby tningal » Mon Jul 14, 2014 8:48 am

Hi Alec,

Thanks for your prompt response. I went back to the config.inc.php and checked it through and it appears that the database credentials were wrong, hence would not load initially. I sorted that out and OJS 2.4.3.0 was successfully upgraded to 2.4.4.1 and it is working perfectly, however, another problem comes up as well. When I cliked on the article PDF links which are supposed to display the PDF, they displays a bunch of HTML codes (see attachment).

How can I resolve this problem?

Many thanks


Tine
Attachments
PDF_View_Problem.PNG
PDF_View_Problem.PNG (201.78 KiB) Viewed 268 times
Last edited by tningal on Mon Jul 14, 2014 1:46 pm, edited 1 time in total.
tningal
 
Posts: 12
Joined: Tue Apr 15, 2014 11:10 am

Re: Upgrade to 2.4.4.1 failure

Postby asmecher » Mon Jul 14, 2014 9:12 am

Hi Tine,

Are you using the Google Viewer to present PDFs? (This is integrated via a generic plugin that can be enabled/disabled under Journal Management.) The Google Viewer doesn't currently support journals that are subscription-based or require a login in order to view content. Disable the plugin in order to use the built-in PDF view instead.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9050
Joined: Wed Aug 10, 2005 12:56 pm

Re: Upgrade to 2.4.4.1 failure

Postby tningal » Mon Jul 14, 2014 9:35 am

Thanks so much Alec,

You are a guru :D .

I got it all up and running now.

Much appreciation!!!


Tine
tningal
 
Posts: 12
Joined: Tue Apr 15, 2014 11:10 am


Return to OJS Technical Support

Who is online

Users browsing this forum: Exabot [Bot], Google [Bot] and 1 guest